<?php

namespace App\Entities;

class CategoryEntity extends BaseHierarchyEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    //기본기능
    public function getTitle(): string
    {
        return $this->attributes['name'];
    }
    //추가기능
    //CommonHelper에서 사용
    public function getRole($field = 'isaccess')
    {
        return array_key_exists(
            $field,
            $this->attributes
        ) ? $this->attributes[$field] : DEFAULTS['ROLE'];
    }
}
